﻿using Syncfusion.SfCalendar.XForms;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace SpecialDateSample
{
    public class CalendarBehavior : Behavior<SfCalendar>
    {
        SfCalendar calendar;

        protected override void OnAttachedTo(SfCalendar bindable)
        {
            base.OnAttachedTo(bindable);
            calendar = bindable.FindByName<SfCalendar>("calendar");
            this.calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;
        }

        private void Calendar_OnMonthCellLoaded(object sender, MonthCellLoadedEventArgs e)
        {
            var viewModel = calendar.BindingContext as CalendarViewModel;
            if (viewModel == null)
                return;

            if (viewModel.DataSourceDictionary.ContainsKey(e.Date.ToString("dd/MM/yyyy")))
                e.View = new Button() { Text = "Event", BackgroundColor = Color.Red };
            
               
        }
    }
}
